## Interstellar Space travel is really difficult!

Dozens of [interplanetary spacecraft](http://www.braeunig.us/space/planet.htm "list of planetary spacecraft") have been launched since the Soviet Union launched the <a href="http://en.wikipedia.org/wiki/Venera_1">Venera 1</a> in 1961. All of them have been unmanned. The furthest travelled is Voyager 1. 

Although Voyager is now considered to be nearing the edge of our solar system, it is still less than 17 light hours from earth. That is less than one two thousandth of the way to our nearest stellar neighbour, Proxima Centauri. It has taken Voyager almost 35 years to get where it is. At its stately pace of 62,000km/h, it will need about 70,000 years to travel the equivalent distance of earth to Proxima Centauri.

All space travel is hard. *Manned* interplanetary space travel, i.e. in
our solar system, is
[very hard](http://www.cosmosmagazine.com/features/online/4214/the-future-space-travel "Forget space travel: it's just a dream") and we have a long way to go
before being able to do it. But *manned interstellar* space travel is so
difficult that it might never be achieved.

Here are some of the massive technological problems that have to be overcome if we are to send a manned spacecraft to another star, for example Proxima Centauri which is a mere 4.2 light years from earth.

### Doing a one-way trip in a lifetime

To make this as easy as possible, let us say at some point in the distant future, we will fly two young intrepid adventurers on a one-way trip to Proxima Centauri. They're prepared to spend a very long time doing it and they accept they will never return to earth. 

To get there in a reasonable time, they are going to have to accelerate constantly for much, most or all of the first half of the journey. Then to ensure they don't overshoot Proxima Centauri when they get there, they have to decelerate during the second half of their journey, essentially mirroring the first half.

Ideally they would like to accelerate at 9.8m/s^2^, or 1g for the first half of the journey. Then they will decelerate at the same rate for the second half. The advantage of accelerating at exactly 1g is that if the spacecraft is designed so that our astronauts, when standing, are parallel to the direction the spacecraft is moving, they will experience earth-like gravity.

To see how this works out, open the space travel calculator. In the *Distance* field, enter "pr" to bring up Proxima Centauri and select it. The number 39734219300000000 is filled in for you. You will find that distance more intuitive if you change the units to light-years in the adjacent select box. Leave acceleration as is. Click *Calculate*. 

By selecting the appropriate unit measurement, you can now see that the maximum velocity, which our astronauts will achieve half way through their journey, is approximately 95% the speed of light. From an observer on earth's timeframe it takes our astronauts 5.8 years to reach Proxima Centauri. But Einstein's theory of relativity tells us that it will only be 3.5 years from the astronauts perspective, because the faster you go, the more time slows down for you. *Run* the animation to get a very simplistic visualisation of what happens.

That all seems very promising. But sadly there's a great big glitch. The Wikipedia article on [space travel using constant acceleration](http://en.wikipedia.org/wiki/Space_travel_using_constant_acceleration "Wikipedia constant acceleration") gives this excellent analogy: "Imagine a horse strong enough to pull a wagon carrying enough hay to feed it on a journey from New York City to Los Angeles." Clearly no horse would be able to carry all the hay it needed. Likewise no spacecraft can carry all the fuel it needs to get to Proxima Centauri at a constant acceleration of 1g. 

The *Spacecraft mass at launch* field represents the total mass of the spacecraft at takeoff. The default mass of the spacecraft on the calculator is 2 million kg which is the approximate [weight of a space shuttle](http://www.nasa.gov/returntoflight/system/system_STS.html "NASA Shuttle Basics") at take-off, including its rockets and fuel. Our spaceship will be powered using hydrogen into helium nuclear fusion. This is orders of magnitude more efficient than any other rocket fuel in existence. Although the technology to make nuclear fusion bombs is available, controlled nuclear fusion for the purposes of powering a spacecraft is still science fiction. The space calculator's default fuel conversion rate (0.008) assumes we are using nuclear fusion.

The calculator tells us that the energy needed for the journey is a bit less than 780,000 exajoules. Now consider that in 2008, world energy consumption was a [mere 474 exajoules](http://en.wikipedia.org/wiki/World_energy_consumption "Wikipedia world energy consumption") and you realise we have a wee problem. Also note that the mass of the fuel you need is several orders of magnitude greater than your total take-off mass, which is impossible. In our horse analogy, the weight of the hay is so great, that the extra energy the horse needs to eat to carry it means it will end its journey from far short of its destination (of course the horse wouldn't even be able to start walking because the hay weighs so much, but actually if our spacecraft was launched from space where there was no gravity or air friction, our spacecraft would move, but it would run out of fuel long before it reached half-way to Proxima Centauri). 

A legitimate complaint is that the space shuttle would weigh a lot less at lift-off if nuclear fusion instead of current rocket fuel technology was used. But this doesn't solve our problem. The mass  of the Endeavour space shuttle orbiter at lift-off is [110,000kg](http://en.wikipedia.org/wiki/Space_Shuttle "Wikipedia space shuttle"). 

So enter 110,000 in the *Spacecraft mass at launch* field (make sure the unit field is kilograms) and click calculate again. Now you need 43,000 exajoules and your fuel still weighs many more times than your maximum launch weight. The problem is that no matter how you manipulate the maximum weight of the spacecraft, you will always need many times more kilograms of fuel than this maximum weight. It is therefore impossible, carrying nuclear fusion fuel or any current fuel in existence, to get to Proxima Centauri at 1g. 

Is it possible to imagine a more efficient fuel than nuclear fusion? Will that help? 

The famous E=mc^2^ equation tells us the maximum amount of energy you can get from a given mass. For nuclear fusion you get about 0.008 x mc^2^ joules, so there is significant room for improvement. 

Antimatter rockets could in principle convert virtually all of their mass into energy. But these are not even on the technological horizon. Also, in practice 100% efficiency would not be achieved, but let's ignore that. 

Click clear on the calculator. Then enter the distance to Proxima Centauri and replace the 0.008 fuel conversion rate with the number 1 (for 100% conversion of the mass of our fuel into energy). Now click calculate. Our astronauts still need more than 4.5 times as much fuel as their spacecraft mass. 

We therefore have to conclude that using onboard fuel, it is impossible to get to Proxima Centauri. It doesn't matter what we set the spacecraft mass to, the ratio remains the same. So even for unmanned spaceflight a 1g acceleration to our nearest stellar neighbour is impossible. 

Some means of space travel that don't use onboard fuel have been proposed, such as interstellar ramjets or beamed propulsion. The Wikipedia article on [interstellar travel](en.wikipedia.org/wiki/Interstellar_travel "Wikipedia interstellar travel") explains these in more detail. These technologies are highly speculative.

So the only reasonable possibility is to reduce the spacecraft's acceleration and use much less energy. This means increasing the journey time. We can enter different values into the calculator for acceleration to iteratively find the right value. Using nuclear fusion (i.e. a *Fuel conversion rate* of 0.008 [^1]), our fuel finally starts weighing less than the spacecraft at the stately acceleration of 0.018m/s^2^. By comparison Usain Bolt accelerates several times faster than this when he runs the 100m sprint. But that's ok because Bolt gets tired after a few seconds, while our astronauts are going to continue accelerating for years building up massive velocity, eventually reaching nearly 13% of the speed of light. At that acceleration it will take our astronauts just under 97 years to get to Proxima Centauri. Human life expectancy will therefore have to increase substantially before such a trip is feasible. It's also a one way trip, not merely because of mundane matters like the limits of human life expectancy, but also because our travellers don't have enough fuel to get back. If they do want to get back they have to carry enough fuel to get there and back. They will also have to live an incredibly long time (at least 266 years) and accelerate at 0.0089m/s^2^. Their top speed will be about 6% of the speed of light.

There are further challenges:

- Our travellers will have to spend their entire journey floating about in the weightlessness of space. This likely has adverse health effects over time. Alternatively gravity of 1g can perhaps be simulated by rotating the spacecraft. There has been serious research and progress on this, but it has not yet been achieved. See the Wikipedia [articifial gravity entry](http://en.wikipedia.org/wiki/Artificial_gravity "Wikipedia artificial gravity").

- Our travellers would need enough food for a lifetime. Assume they can live on the equivalent of six cans of 150g corned beef and one litre of water a day. Since there are two of them, and they need this for 97 years, the weight of their food will be in the region of 135,000kg. [^2] And that's before we consider water for washing. This is not very practical. Perhaps they can halve this by recycling the water, but that's still a lot of weight for a two-person journey.

- The smaller and therefore the lighter the spacecraft the less fuel it will need. But our astronauts are going to be spending their lives on this ship, so they need something that's big enough for recreation. But this will increase the size and weight of the spacecraft and therefore the amount of fuel needed. Perhaps, though, with nuclear fusion this will not be an insurmountable problem.

- The psychological stresses of living in space for life are immense and possibly insurmountable. What would our astronauts do with their days and nights? Well there aren't days and nights; which is itself a massive psychological stress. As romantic as space travel might seem, on the vast majority of 24-hour time periods on a 100 year journey the view out of the space ship window would be the same and monotonous, no matter how beautiful our travellers find the stars. The boredom would be unimaginable, except perhaps to people who have spent years in solitary confinement. Perhaps, as in science fiction movies, we will invent a way of keeping the human body in stasis, in which case they could "sleep" most of the journey and not age. They might find however that when they get to Proxima Centauri, there isn't much to get excited about, or if there is, there is not enough fuel left in their spacecraft to explore.  

- The space shuttle has fantastically complicated systems to maintain its atmosphere. Yet the longest space shuttle journey has been [just under 18 days](http://www.vibrationdata.com/space/Shuttle.html "Space shuttle facts"). We are a long way from building systems that can reliably maintain artificial conditions for life for a century.

There are surely many other difficulties I haven't considered. Manned interstellar travel seems a very distant dream at best. It might never be achieved. Unmanned interstellar travel on the other hand is a realistic future possibility, if we accept that the generation that launches the interstellar probe will not be the one that experiences the joy of that probe sending information on Proxima Centauri back to earth. 

Another, not altogether far-fetched possibility, is that one day it will be possible to download the human brain, to something as small as a microchip, with durability of hundreds if not thousands of years. Perhaps if this is the future evolution of our species, we will be able to travel in this form to distant stars without being too concerned about the time it takes.

In the meanwhile, while we have our flesh and blood form, all is not doom and gloom. The solar system is a massive place with hundreds, perhaps thousands, of interesting objects to visit. We haven't fully explored the earth, so you can just imagine how much there is to explore on the nearest planets and moons. We're still a long way from being able to send manned vehicles to other planets, but it is feasible with enough investment. 

Finally, when you consider how difficult manned interstellar space travel is and how inhospitable to sustained human life we know the planets and the moons in the solar system are, you realise that even the long term possibility of seeking permanent refuge for humanity in another part of space is minuscule. And then you realise how important it is that we don't mess up our current planet.

### Footnotes

[^1]: Even this is unlikely because it assumes all the fuel's energy conversion is directed to the rocket's thrust. 

[^2]: Six cans of 150g corned beef provides over 8000kj per day, which is enough to live on comfortably. In addition 1l of water weighs 1kg. So 150g, 6 times daily for 365 days per year for 97 years for 2 people = (0.150kg x 6 + 1kg) x 365 x 97 x 2 = 134,539kg.
