## Hollywood and space travel

### Firefly and Serenity

The idea for the space travel calculator was inspired by the television series [Firefly](http://www.imdb.com/title/tt0303461/ "Firefly on IMDB") and its companion movie, [Serenity](href="http://www.imdb.com/title/tt0379786/ "Serenity"). They're great entertainment and even the science isn't bad, especially by Hollywood standards. It's one of the few Hollywood movies to show that there's no sound in space. There are no aliens and the humans live on terraformed planets. The show's dubious handling of gravity is easily forgiven since it was a relatively low-budget affair and it's hard to film people floating about spacecrafts. Nevertheless, there's a big scientific problem in the storyline: how did millions of people migrate from earth to a planet-filled sun-system a mere 500 years from now, and have the time and resources to terraform so many planets?

Let's assume that this wonderful system is Proxima Centauri, our nearest stellar neigbour. Being a red dwarf, Proxima Centauri is not a good candidate for livable planets, but let's ignore that.  

Proxima Centauri is 4.2 light-years away. Let's say the first generation of humans to leave earth came in spacecrafts the size of the Firefly carrying young people prepared to spend most of the rest of their lives on a spaceship. If they'd travelled at a constant acceleration of 1g or 9.8m/s^2^ for the first half of the journey, followed by the same constant deceleration, they would have got there in just three and a half years. This is a pleasant rate of acceleration because it would allow them to experience gravity for the duration of their journey as it is on earth.

The problem though is that they would have needed to carry far more fuel than the maximum capacity of their spacecrafts. In fact no matter what the mass of their spacecrafts, they would have needed much more fuel than they could carry to get there in such quick time. Even the most efficient spacecrafts, that convert their fuel mass into energy at the rate of e=mc^2^ (e.g. by using  matter-antimatter annihilation), would always need more than four times as much fuel as the total mass of the spacecraft (including fuel), when they launch, to maintain that acceleration, which is impossible. As it is, the most likely interstellar fuel mass into energy efficiency we're likely to achieve is only 0.008mc^2^ (hydrogen fusion into helium). 

Methods of powering spacecraft for interstellar flight without onboard fuel have been proposed. They're quite unlikely though. More importantly, there are scenes in the series which make it clear that the technology of the day depends on onboard fuel. 

Let's say our earth emigrants are prepared to tolerate an extremely long journey in space and no gravity for a long period of time. Then what's a realistically achievable amount of time to get from earth to Proxima Centauri? Well, about 90 odd years, assuming that there are some tremendous technological developments in the next few centuries. In this scenario, almost all the weight of the spacecrafts would be taken by fuel, at least for a large part of the first half of the journey. The crafts would be powered with nuclear fusion. They would accelerate for half the journey at a stately 0.017m/s^2^ and then decelerate at the same rate until the destination was reached. 

It is conceivable that we'll be able to live extremely long lives or that living in stasis will become possible. We haven't even considered other massive technological challenges that have to be overcome to make the migration of the Firefly world possible, like terraforming planets, finding a star with so many planets that have an earth-like climate and gravitational pull, ensuring there's enough food to eat on the spacecrafts for so long a journey and much, much more. But the state of humanity depicted in the Firefly series, while improbable, is perhaps not impossible a very long time into the future.

### Star Trek

The [Star Trek series](href="http://www.startrek.com/ "Star Trek series") are wonderful entertainment and offer a multitude of interesting scientific and logical conundrums, but the space travel science in all the series, in fact nearly every episode, is just awful. None of the characters, none of the spaceships, no-one and nothing experiences time dilation. That is with the exception of the episodes which specifically deal with time travel. And those ones are particularly confusing, rife with bad space travel science. 

So the Enterprise and Voyager travel at warp speed, an impossibility, across the galaxy, as do Klingons, Vulcans and other humanoids. Yet when they return to their home planets or meet comrades on different ships multiple times across different episodes, their age differences remain identical.  It's just not possible, unless Einstein got it all wrong.

### Prometheus

Ridley Scott's [Alien](http://www.imdb.com/title/tt0078748/ "Alien on IMDB") prologue, [Prometheus](http://www.imdb.com/title/tt1446714/ "Prometheus on IMDB") is suspenseful and fun, albeit not nearly as good as Alien. But the movie's science is awful. Besides its scepticism of evolution with natural selection, its depiction of space travel is absurd.

In two years, our protagonists travel 34 light years. Even in the most optimistic scenario that's extremely improbable. But for that massive onboard fuel-driven spacecraft it's just ridiculous. Also, the spacecraft would have to accelerate and decelerate at more than 4g for the entire two year journey. That seems a trifle too much for even someone with James Bond's tough constitution to tolerate. [The Biology of Human Survival: Life and Death in Extreme Environments](""http://www.oup.com/us/catalog/general/subject/LifeSciences/Physiology/?view=usa&ci=9780195165012" Biology of Human Survival book") by Claude A. Piantadosi states:

> Human volunteers have tolerated 1.5g for seven days
> with no apparent ill effects. However, after just twenty-four 
> hours at 2g, evidence of significant fluid imbalance is 
> detectable. At 3g to 4g fatigue is limiting, and above 4g 
> cardiovascular factors limit g tolerance. (p. 200)

Then again, they are in stasis for most of the journey. Perhaps it will one day be possible to invent stasis technology that allows humans to tolerate any acceleration. It seems highly improbable though.
